| Agda-2.2.6: A dependently typed functional programming language and proof assistant | Source code | Contents | Index

Agda.Compiler.Alonzo.PatternMonad

Documentation

type Defs = Map QName Definition | Source

data PState | Source

Constructors

PSt |

cnt :: Int |
vars :: [Int] |
lst :: [HsPat] |
clause :: Clause |
defs :: Defs |

initPState :: Clause -> Defs -> PState | Source

type PM a = StateT PState TCM a | Source

getPDefs :: PM Defs | Source

getPcnt :: PM Int | Source

getPlst :: PM [HsPat] | Source

getPclause :: PM Clause | Source

putPlst :: [HsPat] -> PM () | Source

putPcnt :: Int -> PM () | Source

incPcnt :: PM () | Source

addWildcard :: PM () | Source

addVar :: PM () | Source

Produced by Haddock version 2.4.2